// creator  : weidu.exe (version 23100)
// argument : _NOBL7.DLG
// game		 : .
// source	 : ./override/_NOBL7.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_NOBL7~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #78398 /* ~What is the meaning of this intrusion?  I pay good money for my privacy, by what right do you disturb it?!~ */
  IF ~ReactionGT(LastTalkedToBy(Myself),HOSTILE_UPPER)
~ THEN REPLY #78399 /* ~My sincere apologies, sire.  It was a simple mistake in room numbers.~ */ GOTO 1
  IF ~ReactionLT(LastTalkedToBy(Myself),NEUTRAL_LOWER)
~ THEN REPLY #78399 /* ~My sincere apologies, sire.  It was a simple mistake in room numbers.~ */ GOTO 2
  IF ~~ THEN REPLY #78400 /* ~You pay good money, do you?  How good is good, and how much do you keep about the room?~ */ GOTO 3
  IF ~~ THEN REPLY #78401 /* ~Might I inquire as to what your business is here at the Arm?~ */ GOTO 4
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #78402 /* ~Be sure it is not repeated.  Leave me.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #78403 /* ~I should not doubt it, for you are most assuredly "simple."  Leave me, and see that you do not return.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #78404 /* ~You are most assuredly daft if you expect me to answer that!  If this were other than the Friendly Arm I would have you in stocks for a fortnight.  I've no desire to trouble any of the staff with a matter as trivial as a petty thief, so you had best turn about and go whence you came.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.3
  SAY #78405 /* ~No you certainly may not!  My business is my concern, and so it shall remain.  Begone from my quarters before I call the guard.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 /* Triggers after states #: 6 even though they appear after this state */
~True()
~ THEN BEGIN 5 // from:
  SAY #78406 /* ~I have told you previously to leave me alone.  Do as I ask, lest we both regret the consequences.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 6 // from:
  SAY #78407 /* ~I have not much to tell; I keep to my room and my books.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #76111 /* ~I'll not speak a word after what you did!~ */
  IF ~~ THEN EXIT
END
